org.apache.geronimo.specs.jpa

## Class PersistenceActivator

- java.lang.Object
- - org.apache.geronimo.osgi.locator.Activator
  - - org.apache.geronimo.specs.jpa.PersistenceActivator

All Implemented Interfaces:
  PersistenceProviderResolver, org.osgi.framework.BundleActivator

    public class PersistenceActivator
    extends org.apache.geronimo.osgi.locator.Activator
    implements org.osgi.framework.BundleActivator, PersistenceProviderResolver

Used to discover/resolve JPA providers in an OSGi environment.

Version:
  $Rev$ $Date$

### Field Summary

Fields
`static String` `PERSISTENCE_PROVIDER`

### Fields inherited from class org.apache.geronimo.osgi.locator.Activator

`bundleContext`

### Constructor Summary

Constructors
Constructor and Description
`PersistenceActivator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected PersistenceProvider` `addProvider(org.osgi.framework.ServiceReference ref)`
`void` `clearCachedProviders()`
`List<PersistenceProvider>` `getPersistenceProviders()`
`protected void` `removeProvider(org.osgi.framework.ServiceReference ref)`
`void` `start(org.osgi.framework.BundleContext arg0)`
`void` `stop(org.osgi.framework.BundleContext arg0)`

### Methods inherited from class org.apache.geronimo.osgi.locator.Activator

`bundleChanged`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PERSISTENCE_PROVIDER

    public static final String PERSISTENCE_PROVIDER

### Constructor Detail

#### PersistenceActivator

    public PersistenceActivator()

### Method Detail

#### start

    public void start(org.osgi.framework.BundleContext arg0)
               throws Exception

Specified by:
  `start` in interface `org.osgi.framework.BundleActivator`
Overrides:
  `start` in class `org.apache.geronimo.osgi.locator.Activator`
Throws:
  `Exception`

#### stop

    public void stop(org.osgi.framework.BundleContext arg0)
              throws Exception

Specified by:
  `stop` in interface `org.osgi.framework.BundleActivator`
Overrides:
  `stop` in class `org.apache.geronimo.osgi.locator.Activator`
Throws:
  `Exception`

#### clearCachedProviders

    public void clearCachedProviders()

Specified by:
  `clearCachedProviders` in interface `PersistenceProviderResolver`

#### getPersistenceProviders

    public List<PersistenceProvider> getPersistenceProviders()

Specified by:
  `getPersistenceProviders` in interface `PersistenceProviderResolver`

#### addProvider

    protected PersistenceProvider addProvider(org.osgi.framework.ServiceReference ref)

#### removeProvider

    protected void removeProvider(org.osgi.framework.ServiceReference ref)